com.ihr.xbrl.om

## Class TaxonomyPackageURIResolver.TaxonomyPackage

- java.lang.Object
- - com.ihr.xbrl.om.TaxonomyPackageURIResolver.TaxonomyPackage

- Enclosing class:
    TaxonomyPackageURIResolver

      public static class TaxonomyPackageURIResolver.TaxonomyPackage
      extends java.lang.Object

  Represents a package (zip file) that contains a set of entry points and mapping rules as indicated in the Taxonomy Packages Specification(s) .
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyPackageURIResolver.TaxonomyPackage(java.lang.String startPath, java.io.File zipfileFile, java.lang.String version, java.util.HashMap<java.lang.String,TaxonomyPackageURIResolver.PackageByLangInfo> infoByLang, java.util.HashMap<java.net.URI,java.lang.String> remappings, java.util.Vector<TaxonomyPackageURIResolver.EntryPointHRefs> allEpHRefs)` Instantiates a new taxonomy package.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteFile()` Delete file.
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Vector<TaxonomyPackageURIResolver.EntryPointHRefs>` | `getAllEpHRefs()` Gets the all ep h refs.
    `java.util.Iterator<java.net.URI>` | `getBases()` Gets the bases.
    `java.util.Collection<TaxonomyPackageURIResolver.EntryPointLangInfo>` | `getEntryPoints()` Gets the entry points.
    `java.lang.String` | `getName()` Gets the name.
    `java.util.Collection<java.net.URI>` | `getRemappings()` Gets the remappings.
    `java.lang.String` | `getReplaceWith(java.net.URI prefix)` Gets the replace with.
    `java.lang.String` | `getVersion()` Gets the version.
    `java.lang.String` | `getZipFile()` Gets the zip file.
    `int` | `hashCode()`
    `javax.xml.transform.Source` | `resolve(java.lang.String absoluteOfficialURI)` Resolve.
    `javax.xml.transform.Source` | `resolve(java.net.URI key, java.lang.String absoluteOfficialURI)` Resolve.
    `void` | `setOasisCatalog(java.lang.String oasisCatalogFile)` At this time it is required to load all rewriteURI entries in the incoming catalog file and populate the remapingsByUri.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyPackageURIResolver.TaxonomyPackage

          public TaxonomyPackageURIResolver.TaxonomyPackage(java.lang.String startPath,
                                                    java.io.File zipfileFile,
                                                    java.lang.String version,
                                                    java.util.HashMap<java.lang.String,TaxonomyPackageURIResolver.PackageByLangInfo> infoByLang,
                                                    java.util.HashMap<java.net.URI,java.lang.String> remappings,
                                                    java.util.Vector<TaxonomyPackageURIResolver.EntryPointHRefs> allEpHRefs)

      Instantiates a new taxonomy package.
      Parameters:
        `startPath` - the start path
        `zipfileFile` - the zipfile file
        `version` - the version
        `infoByLang` - the info by lang
        `remappings` - the remappings
        `allEpHRefs` - the all ep h refs

  - ### Method Detail

    - #### getBases

          public java.util.Iterator<java.net.URI> getBases()

      Gets the bases.
      Returns:
        the bases

    - #### getRemappings

          public java.util.Collection<java.net.URI> getRemappings()

      Gets the remappings.
      Returns:
        the remappings

    - #### getReplaceWith

          public java.lang.String getReplaceWith(java.net.URI prefix)

      Gets the replace with.
      Parameters:
        `prefix` - the prefix
      Returns:
        the replace with

    - #### getZipFile

          public java.lang.String getZipFile()

      Gets the zip file.
      Returns:
        the zip file

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String absoluteOfficialURI)

      Resolve.
      Parameters:
        `absoluteOfficialURI` - the absolute official uri
      Returns:
        the source

    - #### resolve

          public javax.xml.transform.Source resolve(java.net.URI key,
                                           java.lang.String absoluteOfficialURI)

      Resolve.
      Parameters:
        `key` - the key
        `absoluteOfficialURI` - the absolute official uri
      Returns:
        the source

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version.
      Returns:
        the version

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### getAllEpHRefs

          public java.util.Vector<TaxonomyPackageURIResolver.EntryPointHRefs> getAllEpHRefs()

      Gets the all ep h refs.
      Returns:
        the allEpHRefs

    - #### getEntryPoints

          public java.util.Collection<TaxonomyPackageURIResolver.EntryPointLangInfo> getEntryPoints()

      Gets the entry points.
      Returns:
        the entry points

    - #### deleteFile

          public boolean deleteFile()

      Delete file.
      Returns:
        true, if successful

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setOasisCatalog

          public void setOasisCatalog(java.lang.String oasisCatalogFile)

      At this time it is required to load all rewriteURI entries in the incoming catalog file and populate the remapingsByUri.
      Parameters:
        `oasisCatalogFile` - the new oasis catalog